Chat
curl --request POST \
--url https://api.example.com/v1/conversations/{conversation_id}/chat \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"kb_id": "<string>",
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size": 123,
"type": "<string>",
"url": "<string>",
"b64_content": "<string>"
}
],
"model_selection": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v1/conversations/{conversation_id}/chat"
payload = {
"content": "<string>",
"kb_id": "<string>",
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"size": 123,
"type": "<string>",
"url": "<string>",
"b64_content": "<string>"
}
],
"model_selection": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
kb_id: '<string>',
files: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
size: 123,
type: '<string>',
url: '<string>',
b64_content: '<string>'
}
],
model_selection: ['<string>']
})
};
fetch('https://api.example.com/v1/conversations/{conversation_id}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parts": [
{
"parts": [
{
"content": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"dynamic_ref": "<string>",
"part_kind": "system-prompt"
}
],
"timestamp": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"kind": "request",
"run_id": "<string>",
"conversation_id": "<string>",
"metadata": {},
"state": "complete"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Conversations
Chat
POST
/
v1
/
conversations
/
{conversation_id}
/
chat
Chat
Authorizations
Path Parameters
Query Parameters
Body
application/json
⌘I